Bug 246110 - F7 setup installs on H/W raid, fails to boot after install.
F7 setup installs on H/W raid, fails to boot after install.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 12:04 EDT by John Treubig
Modified: 2008-06-16 21:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Kickstart config file produced by anaconda. (1.13 KB, text/plain)
2007-06-28 12:04 EDT, John Treubig
no flags Details

  None (edit)
Description John Treubig 2007-06-28 12:04:32 EDT
Description of problem:

After installing F7 on a system with RAID+LVM, nash complains:
 device-mapper: table: 253:0: mirror: Device lookup failure
 device-mapper: reload ioctl failed: No such device or address
  ...
 Unable to access resume device (/dev/VolGroup00/LogVol01)
 mount: could not find filesystem '/dev/root'
 setuproot: moving /dev/failed: No such file or directory
 setuproot: error mounting /proc: No such file or directory
 setuproot: error mounting /sys: No such file or directory
 switchroot: mount failed: No such file or directory
 Kernel panic - not syncing: Attempted to kill init!

System contains 1 PATA and 2 identical SATA in H/W raid.
I used the default settings that the configuration kernel presented:
 boot on Pata drive. 
 LVM volume contains root & swap on PATA and HW RAID1 (2 SATA). 


Version-Release number of selected component (if applicable):

F7 kernel 2.6.21-1.3194.fc7 and initrd
 
How reproducible:

Install having root on Pata drive (boot,root,swap) and include HW RAID1 (2 SATA)
in LVM volume always reproduces. 

Steps to Reproduce:
1. Install making no changes to anaconda default configuration.
2. Reboot.
3. Panic.


Actual results:

Boot hangs in kernel panic having not found the root file system.

Expected results:

Normal boot.

Additional info:

If I turn off the HW raid, installation is fine, but I can not add the Raid as
H/W later.  Only choice is S/W.  I desire the raid to use the H/W. 
M/B: Gigabyte GA-MA69G-S3H w/ AMD/ATI 690G/SB600.

Using rescue, root is mounted correctly.  
Have tried to rebuild initrd using rescue (from bug 243123): 
  initrd --force-raid-probe --force-lvm-probe --with=raid --with=lvm 
Does not fix problem.
Comment 1 John Treubig 2007-06-28 12:04:32 EDT
Created attachment 158135 [details]
Kickstart config file produced by anaconda.
Comment 2 Bug Zapper 2008-05-14 09:18:38 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:43:47 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.